 library IEEE;
 use IEEE.STD_LOGIC_ARITH.all;
 use IEEE.STD_LOGIC_UNSIGNED.all;

 entity parallel_to_serial is
   port (
     audio_adcdata : out std_logic;      -- serial input to codec, post FX
     AU_BCLK : in std_logic;            -- serial bit clock
     AU_LRCK : in std_logic;            -- parallel clock
     POUT : in std_logic_vector(15 downto 0)  -- Input from FX/Tone control
   );
  end parallel_to_serial;

 architecture Behavioral of parallel_to_serial is
 count = 0;
 signal shift : std_logic_vector(15 downto 0);
 process (AU_BCLK, AU_LRCK)
 begin
   if AU_BCLK'event and AU_BCLK = '1' then
     audio_adcdata <= shift(count);
     count = count + 1;
   end if;
   if AU_LRCK'event and AU_LRCK = '1'then
     shift(15 downto 0) <= POUT(15 downto 0);
     count = 0;
   end if;
 end process;
 end behavioral;
